> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/absence-regions/put-absence-region-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Updates the specified absence region. PUT https://api.awork.com/api/v1/absenceregions/{absenceRegionId} Content-Type: application/json Updates the region name, country, location, or default status. Names must remain unique, and marking this region as default clears the previous default region.The user must be an admin or have `user-planning-data:write` permissions. Reference: https://developers.awork.com/apiv1/absence-regions/put-absence-region-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `absenceRegionId` (string, required) — The id of the absence region to update. ### Body (application/json) This endpoint expects an AbsenceRegionForm. - `name` (string, required) — The name of the absence region. Must be unique. - `countryCode` (string, required) — The ISO 3166-1 alpha-2 country code (e.g. 'DE' for Germany). - `locationCode` (string, optional, nullable) — The (optional) location code of the absence region in ISO 3166-2 format (e.g. 'DE-HH' for Hamburg, Germany). - `isDefault` (boolean, optional) — Indicates whether the absence region is the default absence region. A default absence region is automatically assigned to new employees. ## Response ### 200 OK - `id` (string, optional) — The id of the entity. - `createdOn` (string, optional) — The date this entity was created. - `createdBy` (string, optional) — The id of the user who created this entity. - `updatedOn` (string, optional) — The date this entity was last modified. - `updatedBy` (string, optional) — The id of the user who last modified this entity. - `name` (string, optional, nullable) — The name of the absence region, as specified by the user. It must be unique within the workspace. - `countryCode` (string, optional, nullable) — The country code of the absence region. It must be a valid ISO 3166-1 alpha-2 country code. - `country` (string, optional, nullable) — The english name of the country. - `locationCode` (string, optional, nullable) — The location code of the absence region. It should be a valid ISO 3166-2 country subdivision code. - `location` (string, optional, nullable) — The name of the location. It will always be in the related country's language. - `isDefault` (boolean, optional) — Indicates whether the absence region is the default absence region. Any new user will be assigned to the default absence region. - `numberOfPublicHolidays` (integer, optional) — The number of public holidays in the absence region. - `assignedUsers` (list of string, optional, nullable) — The list of user ids assigned to the absence region. ## Errors ### 400 Bad Request Error Bad Request - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Request** ```json { "name": "Hamburg", "countryCode": "DE" } ``` **Response** ```json { "id": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2022-03-11T15:33:47.100Z", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2022-03-11T21:15:00.100Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000", "name": "Hamburg", "countryCode": "DE", "country": "Germany", "locationCode": "DE-HH", "location": "Hamburg", "isDefault": true, "numberOfPublicHolidays": 10, "assignedUsers": [ "7b356284-d22b-4f74-980d-0a548d3b6318", "b37f07dd-6644-4271-9c8a-bb700cc21b63" ] } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/absenceregions/absenceRegionId" payload = { "name": "Hamburg", "countryCode": "DE" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/absenceregions/absenceRegionId'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"Hamburg","countryCode":"DE"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/absenceregions/absenceRegionId" payload := strings.NewReader("{\n \"name\": \"Hamburg\",\n \"countryCode\": \"DE\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/absenceregions/absenceRegionId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Hamburg\",\n \"countryCode\": \"DE\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.awork.com/api/v1/absenceregions/absenceRegionId") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"Hamburg\",\n \"countryCode\": \"DE\"\n}") .asString(); ``` ```php request('PUT', 'https://api.awork.com/api/v1/absenceregions/absenceRegionId', [ 'body' => '{ "name": "Hamburg", "countryCode": "DE" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/absenceregions/absenceRegionId"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"Hamburg\",\n \"countryCode\": \"DE\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "Hamburg", "countryCode": "DE" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/absenceregions/absenceRegionId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```